<div fxFill fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="20" >
    <img fxFlex="20" src="./assets/img/ico.png" alt="">
    <h1 style="text-align: center;" class="colorVerde"><b>Exchange Rate Calculator</b></h1>
    <span style="text-align: center;" ><b>Choose the currency and the amounts to get the exchange rate</b></span>

    <form [formGroup]="form" form.valid="Convert()" *ngIf="!errorConexion else errorCon" >
        <div fxLayout="row wrap" fxLayoutAlign="space-between stretch" fxLayoutAlign.xs="center center" fxLayoutGap="5" >
            <div fxLayout="column" fxLayoutAlign="space-between start" fxLayoutAlign.xs="center center" fxFlex="40" fxFlex.xs="100" >
                <div>
                    <mat-form-field appearance="outline" fxFlex="50" fxFlex.xs="100">
                        <mat-select formControlName="moneda1" >
                            <mat-option *ngFor="let currency of currencies" [value]="currency.iso" (click)="Convert()" >
                            {{ currency.iso }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                
                <button *ngIf="form.value.moneda1 && form.value.moneda2; else swapinvalid" mat-raised-button class="swap backVerde" (click)="Swap()" >Swap</button>
                
                <ng-template #swapinvalid>
                    <button mat-raised-button class="swap backVerde" disabled>Swap</button>
                </ng-template>
                
                <br/>

                <div>
                    <mat-form-field appearance="outline" fxFlex="50" fxFlex.xs="100" >
                        <mat-select formControlName="moneda2" >
                            <mat-option *ngFor="let currency of currencies" [value]="currency.iso" (click)="Convert()" >
                            {{ currency.iso }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
            <div fxLayout="column" fxLayoutAlign="start end" fxLayoutAlign.xs="center center" fxFlex="50" fxFlex.xs="100" fxLayoutGap="10" >
                <div>
                    <mat-form-field appearance="outline" fxFlex="50" fxFlex.xs="100" fxFlexOffset="50" fxFlexOffset.xs="0" style="text-align: right;" >
                        <input matInput type="number" formControlName="monto" (change)="Convert()">
                    </mat-form-field>
                </div>
                
                <small *ngIf="form.valid else convert" class="colorVerde">
                    1 {{ form.value.moneda1 }} = {{ form.value.rate }} {{ form.value.moneda2 }}
                </small>
                <ng-template #convert>
                    <p class="colorVerde"><b>Convertion rate</b></p>
                </ng-template>
                <br/>
                
                <div fxFlexAlign="center end" fxFlexOffset="10" fxFlexOffset.xs="0" >
                    <p><b>{{ form.value.result }}</b></p>
                </div>

            </div>
        </div>
    </form>

    <ng-template #errorCon>
        <mat-card style="background-color: #ff7870;"><p>Connection error! Please check your internet connection.</p></mat-card>
    </ng-template>
</div>